> ## Documentation Index
> Fetch the complete documentation index at: https://gaia-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete MCP Server

> Disconnects and deletes a specific MCP server configuration

## Path Parameters

<ParamField path="id" type="string" required>
  MCP server ID to delete
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the deletion was successful
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.example.com/api/mcp/servers/mcp_abc123 \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.example.com/api/mcp/servers/mcp_abc123',
    {
      method: 'DELETE',
      headers: {
        'Authorization': 'Bearer YOUR_API_KEY'
      }
    }
  );

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      'https://api.example.com/api/mcp/servers/mcp_abc123',
      headers={'Authorization': 'Bearer YOUR_API_KEY'}
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true
  }
  ```

  ```json Not Found theme={null}
  {
    "success": false,
    "message": "MCP server not found"
  }
  ```
</ResponseExample>
